Package uk.ac.starlink.topcat.plot2

## Class SingleFormLayerControl

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.TabberControl
  - - uk.ac.starlink.topcat.plot2.FormLayerControl
    - - uk.ac.starlink.topcat.plot2.SingleFormLayerControl

- All Implemented Interfaces:
    `Control`, `LayerControl`

      public class SingleFormLayerControl
      extends FormLayerControl

  FormLayerControl in which a single fixed form control is used. It still allows per-subset configuration of different layers using the same form.
  Since:
    9 Jan 2014
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleFormLayerControl​(PositionCoordPanel posCoordPanel, uk.ac.starlink.ttools.plot2.config.Specifier<ZoneId> zsel, boolean autoPopulate, NextSupplier nextSupplier, TopcatListener tcListener, javax.swing.Icon controlIcon, uk.ac.starlink.ttools.plot2.Plotter plotter, Configger baseConfigger)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected FormControl[]` | `getFormControls()` | Returns a list of all the form controls, active or not, currently managd by this layer control.
    `protected boolean` | `isControlActive​(FormControl fc)` | Indicates whether a given form control is contributing the the plot on behalf of this layer control.

    - ### Methods inherited from interface uk.ac.starlink.topcat.plot2.Control

      `addActionListener, getControlIcon, getPanel, removeActionListener`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.FormLayerControl

      `getControlLabel, getCoordLabel, getLayers, getLegendEntries, getPositionCoordPanel, getSubsetManager, getSubsetStack, getTopcatModel, getZoneSpecifier, setTopcatModel, submitReports`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.TabberControl

      `addActionListener, addControlTab, addZoneTab, getActionForwarder, getControlIcon, getPanel, getTabber, removeActionListener`

- - ### Constructor Detail

    - #### SingleFormLayerControl

          public SingleFormLayerControl​(PositionCoordPanel posCoordPanel,
                                        uk.ac.starlink.ttools.plot2.config.Specifier<ZoneId> zsel,
                                        boolean autoPopulate,
                                        NextSupplier nextSupplier,
                                        TopcatListener tcListener,
                                        javax.swing.Icon controlIcon,
                                        uk.ac.starlink.ttools.plot2.Plotter plotter,
                                        Configger baseConfigger)

      Constructor.
      Parameters:
        `posCoordPanel` - panel for entering table and basic positional coordinates
        `zsel` - zone id specifier, may be null for single-zone plots
        `autoPopulate` - if true, when the table is changed an attempt will be made to initialise the coordinate fields with some suitable values
        `nextSupplier` - manages global dispensing for some style options
        `tcListener` - listener for TopcatEvents
        `controlIcon` - icon for control stack
        `plotter` - plotter
        `baseConfigger` - configuration source for some global config options

  - ### Method Detail

    - #### getFormControls

          protected FormControl[] getFormControls()

      Description copied from class: `FormLayerControl`
      Returns a list of all the form controls, active or not, currently managd by this layer control.
      Specified by:
        `getFormControls` in class `FormLayerControl`
      Returns:
        list of all form controls

    - #### isControlActive

          protected boolean isControlActive​(FormControl fc)

      Description copied from class: `FormLayerControl`
      Indicates whether a given form control is contributing the the plot on behalf of this layer control.
      Specified by:
        `isControlActive` in class `FormLayerControl`
      Parameters:
        `fc` - form control managed by this layer control
      Returns:
        true iff fc is active (contributing to plot)

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.